# Loki::Pimpl< T, Pointer > Class Template Reference
[Pimpl]

`#include <Pimpl.h>`

List of all members.

## Detailed Description

### template<class T, typename Pointer = ConstPropPtr<T>>
class Loki::Pimpl< T, Pointer >

Implements the Pimpl idiom. It's a wrapper for a smart pointer which automatically creates and deletes the implementation object and adds const propagation to the smart pointer.

Usage
  see test/Pimpl

The documentation for this class was generated from the following file:

- Pimpl.h